Jala 1.3

## Class jala.Form.Component.File

    Object
       |
       +--jala.Form.Component.Input
             |
             +--jala.Form.Component.File

Direct Known Subclasses:
  jala.Form.Component.Image

class jala.Form.Component.File
extends jala.Form.Component.Input

Subclass of jala.Form.Component.Input which renders and validates a file upload.
Defined in Form.js

Constructor Summary
`jala.Form.Component.File (<String> name)` Creates a new File component instance

Method Summary
`String` | `checkRequirements(<Object> reqData)` Validates a file upload by making sure it's there (if REQUIRE is set), checking the file size, the content type and by trying to construct an image.
`void` | `renderControls(<Object> attr, <Object> value, <Object> reqData)` Renders a file input tag to the response.

Methods inherited from class jala.Form.Component.Input
`validate, save, getValue, setValue, render, renderError, renderLabel, renderHelp, render_macro, controls_macro, error_macro, label_macro, help_macro, id_macro, name_macro, type_macro, class_macro, getControlAttributes, checkLength, parseValue`

Constructor Detail

### jala.Form.Component.File

    jala.Form.Component.File(<String> name)

Creates a new File component instance

Parameters:

`name` - Name of the component, used as name of the html controls.

Returns:

A newly created File component

Method Detail

### checkRequirements

    String checkRequirements(<Object> reqData)

Validates a file upload by making sure it's there (if REQUIRE is set), checking the file size, the content type and by trying to construct an image.

Parameters:

`reqData` - request data

`tracker` - jala.Form.Tracker object storing possible error messages

Returns:

null if everything is ok or string containing error message

### renderControls

    void renderControls(<Object> attr, <Object> value, <Object> reqData)

Renders a file input tag to the response.

Parameters:

`attr` - Basic attributes for this element.

`value` - Value to be used for rendering this element.

`reqData` - Request data for the whole form. This argument is passed only if the form is re-rendered after an error occured.

Jala 1.3

Documentation generated by JSDoc on Tue Jan 8 15:45:31 2008